{ config, pkgs, ... }:

{
  # DO NOT change this unless you know what you're doing!
  system.stateVersion = "24.11";

  # Enable cache
  nix.settings = {
    substituters = [
      "https://cache.nixos.org"
      "https://hyprland.cachix.org"
    ];
    trusted-public-keys = [ "hyprland.cachix.org-1:a7pgxzMz7+chwVL3/pzj6jIBMioiJM7ypFP8PwtkuGc=" ];
  };

  environment.systemPackages = with pkgs; [
    alacritty
    vim
    unzip
    networkmanager
  ];

  services.automatic-timezoned.enable = true;

  boot.loader.grub.enable = false;
  boot.loader.systemd-boot.enable = true;
}
