{ self, ... }:

let
  inherit (self) inputs;

  lib = inputs.nixpkgs.lib;
  homeDir = self + /profiles;

  mkSystem =
    {
      system,
      hostname,
      useHomeManager ? true,
      modules ? [ ],
    }:
    lib.nixosSystem {
      specialArgs = { inherit inputs; };
      modules =
        [
          ./base-configuration.nix
          ./${hostname}
          homeDir
        ]
        ++ lib.lists.optionals useHomeManager [ inputs.home-manager.nixosModules.default ]
        ++ modules;
    };
in
{
  hulk = mkSystem {
    system = "x86_64-linux";
    hostname = "hulk";
  };
}
